PROJECTEUR(1)

NAME
Projecteur - virtual laser pointer for presentations

SYNOPSIS
projecteur [OPTION]...

DESCRIPTION
Projecteur provides a virtual laser pointer on the screen for use when giving presentations. The laser pointer can be controlled using a Logitech Spotlight or similar device. Projecteur supports a "laser pointer" like effect that is a colored dot on the screen, a "highlight" effect that dims the image except in the highlighted region, and a "zoom" effect that enlarges part of the display.

Projecteur can be configured with a dialog box activated from the system tray in a supported desktop environment.

Options

-h, --help
    Show command line usage.

--help-all
    Show complete command line usage with all properties.

-v, --version
    Print application version.

-f  Print detailed application version information.

--cfg FILE
    Set custom config file.

-d, --device-scan
    Print device-scan results.

-l, --log-level LEVEL
    Set log level, where LEVEL is one of dbg, inf, wrn, err

-D DEVICE
    Additional accepted device; DEVICE = vendorId:productId e.g., -D 04b3:310c; e.g. -D 0x0c45:0x8101; This option can be used multiple times and works in connection with the --device-scan option.

-c COMMAND|PROPERTY
    Send command/property to a running instance. See Commands and Properties for details. This option can be use multiple times.

--disable-uinput
    Disable uinput support.

--show-dialog
    Show preferences dialog on application start.

-m, --minimize-only
    Only allow minimizing the dialog. Useful for desktop environments that do not have a system tray.

Commands

spot=[on|off|toggle]
    Turn spotlight on/off or toggle.

settings=[show|hide]
    Show/hide preferences dialog.

preset=NAME
    Set a preset.

quit
    Quit the running instance.

Properties

spot.size=[Integer]                     (5 ... 100)

spot.rotation=[Double]                  (0 ... 360)

spot.shape=[Value]                      (Circle, Square, Star, Ngon)

spot.shape.square.radius=[Integer]      (0 ... 100)

spot.shape.star.points=[Integer]        (3 ... 100)

spot.shape.star.innerradius=[Integer]   (5 ... 100)

spot.shape.ngon.sides=[Integer]         (3 ... 100)

shade=[Bool]                            (false, true)

shade.opacity=[Double]                  (0 ... 1)

shade.color=[Color]                     (HTML-color; #RRGGBB)

dot=[Bool]                              (false, true)

dot.size=[Integer]                      (3 ... 100)

dot.color=[Color]                       (HTML-color; #RRGGBB)

dot.opacity=[Double]                    (0 ... 1)

border=[Bool]                           (false, true)

border.size=[Integer]                   (0 ... 100)

border.color=[Color]                    (HTML-color; #RRGGBB)

border.opacity=[Double]                 (0 ... 1)

zoom=[Bool]                             (false, true)

zoom.factor=[Double]                    (1.5 ... 20)